#undefine __libtoolize
%define _optlevel s

Name: kipi-plugins
Version: 0.1.3
Release: alt2
Serial: 3

Group: Graphics
Summary: KDE image Interface Plugins
License: GPL
Url: http://www.kipi-plugins.org/

Source0: %name-%version.tar.bz2

Patch0: kipi-plugins-0.1.3-alt-link.patch
Patch3: kipi-plugins-0.1.3rc1-alt-textrel.patch
Patch4: kipi-plugins-0.1.3-alt-gpod-link.patch

# Automatically added by buildreq on Sun Jan 07 2007
BuildRequires: doxygen gcc-c++ imlib2-devel kdelibs-devel libXext-devel libXrender-devel libXt-devel
BuildRequires: libexiv2-devel libgphoto2-devel libjpeg-devel libmesa-devel libqt3-devel
BuildRequires: libtiff-devel xml-utils libkexif-devel libxslt-devel
BuildRequires: libkipi-devel >= 0.1.5 libgpod-devel >= 0.4.2

%description
The library of the KDE Image Plugin Interface used
by digiKam and Gwenview

%prep
%setup -q

%patch0 -p1
%patch3 -p1
%patch4 -p1

%make -f admin/Makefile.common cvs ||:

%build
export QTDIR=%_qt3dir
export KDEDIR=%prefix
%configure \
    --disable-rpath \
    --disable-debug \
    --enable-final \
    --enable-new-ldflags \
    --enable-libkipi \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --enable-new-ldflags \
    --enable-libkexif
#    --enable-gcc-hidden-visibility \

%make

%install
%make DESTDIR=%buildroot install

%find_lang --with-kde %name
find %buildroot/%_datadir/locale -type f -name kipi\*.mo | sed "s|.mo$||" | \
while read f; do echo `basename "$f"`; done | sort| uniq | \
while read n
do
    %find_lang --with-kde --append --output=%name.lang "$n"
done

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/*
%_libdir/*.so*
%_libdir/kde3/kipiplugin_*.so
%_datadir/apps/*
%_datadir/services/kipiplugin_*
%_datadir/config.kcfg/*
%_man1dir/*

%changelog
* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.3-alt2
- rebuild with libgpod-0.4.2

* Sun Jan 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:0.1.3-alt1
- 0.1.3

* Tue Jan 23 2007 Sergey V Turchin <zerg at altlinux dot org> 2:0.1.3rc1-alt3
- fix linking

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 2:0.1.3rc1-alt2
- fix configure options
- fix build requires
- fix files list

* Sun Jan 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:0.1.3rc1-alt1
- 0.1.3-rc1
- fixed URL
- drop kipi-plugins-0.1rc1-alt-images2mpeg.patch
- updated build dependencies

* Fri Sep 08 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1rc1-alt3
- fix images2mpg; thanks cityhawk@alt

* Fri Feb 03 2006 Sergey V Turchin <zerg at altlinux dot org> 1:0.1rc1-alt2
- rebuilt with new pkg-config
- fix build with new kde

* Tue Sep 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1rc1-alt1
- 0.1.0-rc1

* Fri Jul 08 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta2-alt1
- 0.1.0-beta2

* Fri Jan 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta1-alt1.1.1
- Rebuild with libkexif-0.2.1.

* Fri Jan 21 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.1beta1-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Oct 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 1:0.1beta1-alt1
- 0.1-beta1

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 20040801-alt1.1
- Rebuilt with libtiff.so.4.

* Wed Aug 25 2004 Valery Inozemtsev <shrek@altlinux.ru> 20040801-alt1
- initial release

